Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

### - d -

- dataSync() : file
- datetime() : datetime
- deallocate() : memorypool
- defaultControlCharacters() : serialportprofile
- defaultControlOptions() : serialportprofile
- defaultInputOptions() : serialportprofile
- defaultLocalOptions() : serialportprofile
- defaultOptions() : serialportprofile
- defaultOutputOptions() : serialportprofile
- delayAfterBackSpace() : serialportprofile
- delayAfterCarriageReturn() : serialportprofile
- delayAfterFormFeed() : serialportprofile
- delayAfterNewLine() : serialportprofile
- delayAfterTab() : serialportprofile
- delayAfterVerticalTab() : serialportprofile
- delayedSuspendCharacter() : serialportprofile
- deleteAttribute() : xmldomnode
- deleteChild() : xmldomnode
- deleteChildren() : xmldomnode
- deleteChildrenIgnoringCase() : xmldomnode
- deleteDescendents() : xmldomnode
- deleteDescendentsIgnoringCase() : xmldomnode
- deleteFirstChild() : xmldomnode
- deleteFirstChildIgnoringCase() : xmldomnode
- deobfuscate() : charstring
- detach() : dictionary< keytype, valuetype > , linkedlist< valuetype > , memorymap , process , singlylinkedlist< valuetype > , thread
- detachBuffer() : bytebuffer
- detachString() : stringbuffer
- device() : device
- dictionary() : dictionary< keytype, valuetype >
- dictionarynode() : dictionarynode< keytype, valuetype >
- directory() : directory
- dirname() : file
- disableIPv4() : filedescriptor
- discardEndOfTransmission() : serialportprofile
- discardPendingOutputCharacter() : serialportprofile
- dontAllowShortReads() : filedescriptor
- dontAllowShortWrites() : filedescriptor
- dontCascadeOnDelete() : xmldomnode
- dontCloseOnExec() : filedescriptor
- dontGetCurrentPropertiesOnOpen() : file
- dontLingerOnClose() : socketserver
- dontOutputCarriageReturnAtColumnZero() : serialportprofile
- dontRandomizeAddresses() : inetsocketclient
- dontRemove() : semaphoreset , sharedmemory
- dontRetryFailedFork() : process
- dontRetryFailedRun() : thread
- dontRetryInterruptedFcntl() : filedescriptor
- dontRetryInterruptedIoctl() : filedescriptor
- dontRetryInterruptedOperations() : semaphoreset
- dontRetryInterruptedReads() : filedescriptor
- dontRetryInterruptedWaits() : filedescriptor , listener
- dontRetryInterruptedWrites() : filedescriptor
- dontReuseAddresses() : socketserver
- dontTranslateByteOrder() : filedescriptor
- dontUseNaglesAlgorithm() : filedescriptor
- dontWaitForChildren() : process
- drain() : serialport
- duplicate() : bytestring , charstring , filedescriptor
- dynamicarray() : dynamicarray< valuetype >
- dynamiclib() : dynamiclib